User:Thompsony/draft/sys req

    From KDE UserBase Wiki

    System Requirements

    People has reported success in editing projects with 2GB ram and atom processors. The exact requirement depends on the project, but it should scale with most CPUs. Your mileage may vary.

    User with older systems are encouraged to use the Project -> Project Settings -> Proxy Clips and adjust the dimension for your needs.

    Note

    Proxy clips are lower resolution clips exclusively used during the editing process while lowering cpu and ram usage. Upon rendering the original clips are used.


    GPU support

    Support for Nvidia GPUs can be spotty due to the proprietary nature of the driver. AMD GPUs are not supported on linux at this point.

    The windows version has hardware acceleration included. For Gpu acceleration on linux, both MLT and ffmpeg need to be compiled with gpu encoding flags. See HWAccelIntro for further information.

    To check if your MLT and ffmpeg installation supports gpu acceleration, run

    melt -query "video_codecs" 
    ffmpeg -encoders

    and look out for h264_nvenc and hvec_nvenc. If none are listed, your installation does not support gpu encoding